Bug 1475486 - CVE-2017-11644 ImageMagick: Memory-Leak in ReadMATImage() coders/mat.c [fedora-all]
CVE-2017-11644 ImageMagick: Memory-Leak in ReadMATImage() coders/mat.c [fedor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
26
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-11644
  Show dependency treegraph
 
Reported: 2017-07-26 14:57 EDT by Pedro Sampaio
Modified: 2017-09-19 11:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: ImageMagick-6.9.9.13-1.fc26 ImageMagick-6.9.9.13-1.fc25
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-18 23:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-26 14:57:09 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Pedro Sampaio 2017-07-26 14:57:15 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1475485

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2017-08-24 17:28:24 EDT
ImageMagick-6.9.9.9-1.fc26 autotrace-0.31.1-49.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 3 Fedora Update System 2017-08-24 17:33:14 EDT
ImageMagick-6.9.9.9-1.fc25 autotrace-0.31.1-49.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a568adb31
Comment 4 Fedora Update System 2017-08-26 18:32:28 EDT
ImageMagick-6.9.9.9-1.fc25, WindowMaker-0.95.7-3.fc25.1, autotrace-0.31.1-49.fc25, converseen-0.9.6.2-3.fc25, drawtiming-0.7.1-22.fc25, emacs-25.2-5.fc25, gtatool-2.2.0-6.fc25, imageinfo-0.05-27.fc25, inkscape-0.92.1-4.20170510bzr15686.fc25.1, kxstitch-1.2.0-9.fc25, perl-Image-SubImageFind-0.03-13.fc25, pfstools-2.0.6-3.fc25, php-pecl-imagick-3.4.3-2.fc25, psiconv-0.9.8-22.fc25, q-7.11-29.fc25, ripright-0.11-5.fc25, rss-glx-0.9.1.p-27.fc25.1, rubygem-rmagick-2.16.0-4.fc25.2, synfig-1.2.0-1.fc25.1, synfigstudio-1.2.0-5.fc25, techne-0.2.3-20.fc25, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc25, vips-8.4.4-1.fc25.1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a568adb31
Comment 5 Fedora Update System 2017-08-26 18:34:44 EDT
ImageMagick-6.9.9.9-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.2-5.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 6 Fedora Update System 2017-09-01 07:51:42 EDT
ImageMagick-6.9.9.9-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.2-5.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 7 Fedora Update System 2017-09-01 08:52:09 EDT
ImageMagick-6.9.9.9-1.fc25, WindowMaker-0.95.7-3.fc25.1, autotrace-0.31.1-49.fc25, converseen-0.9.6.2-3.fc25, drawtiming-0.7.1-22.fc25, emacs-25.2-5.fc25, gtatool-2.2.0-6.fc25, imageinfo-0.05-27.fc25, inkscape-0.92.1-4.20170510bzr15686.fc25.1, k3d-0.8.0.6-8.fc25, kxstitch-1.2.0-9.fc25, perl-Image-SubImageFind-0.03-13.fc25, pfstools-2.0.6-3.fc25, php-pecl-imagick-3.4.3-2.fc25, psiconv-0.9.8-22.fc25, q-7.11-29.fc25, ripright-0.11-5.fc25, rss-glx-0.9.1.p-27.fc25.1, rubygem-rmagick-2.16.0-4.fc25.2, synfig-1.2.0-1.fc25.1, synfigstudio-1.2.0-5.fc25, techne-0.2.3-20.fc25, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc25, vips-8.4.4-1.fc25.1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a568adb31
Comment 8 Fedora Update System 2017-09-11 15:51:04 EDT
ImageMagick-6.9.9.9-1.fc26 WindowMaker-0.95.8-3.fc26 autotrace-0.31.1-49.fc26 converseen-0.9.6.2-3.fc26 dmtx-utils-0.7.4-4.fc26 drawtiming-0.7.1-22.fc26 emacs-25.2-5.fc26 gtatool-2.2.0-6.fc26 imageinfo-0.05-27.fc26 inkscape-0.92.1-4.20170510bzr15686.fc26.1 k3d-0.8.0.6-8.fc26 kxstitch-1.2.0-9.fc26 perl-Image-SubImageFind-0.03-13.fc26 pfstools-2.0.6-3.fc26 php-pecl-imagick-3.4.3-2.fc26 psiconv-0.9.8-22.fc26 q-7.11-29.fc26 ripright-0.11-5.fc26 rss-glx-0.9.1.p-29.fc26.1 rubygem-rmagick-2.16.0-4.fc26.2 synfig-1.2.0-9.fc26.1 synfigstudio-1.2.0-5.fc26 techne-0.2.3-20.fc26 vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26 vips-8.5.8-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 9 Fedora Update System 2017-09-11 21:21:28 EDT
ImageMagick-6.9.9.9-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.2-5.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.8-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 10 Fedora Update System 2017-09-14 20:09:56 EDT
ImageMagick-6.9.9.13-1.fc26 WindowMaker-0.95.8-3.fc26 autotrace-0.31.1-49.fc26 converseen-0.9.6.2-3.fc26 dmtx-utils-0.7.4-4.fc26 drawtiming-0.7.1-22.fc26 emacs-25.3-3.fc26 gtatool-2.2.0-6.fc26 imageinfo-0.05-27.fc26 inkscape-0.92.1-4.20170510bzr15686.fc26.1 k3d-0.8.0.6-8.fc26 kxstitch-1.2.0-9.fc26 perl-Image-SubImageFind-0.03-13.fc26 pfstools-2.0.6-3.fc26 php-pecl-imagick-3.4.3-2.fc26 psiconv-0.9.8-22.fc26 q-7.11-29.fc26 ripright-0.11-5.fc26 rss-glx-0.9.1.p-29.fc26.1 rubygem-rmagick-2.16.0-4.fc26.2 synfig-1.2.0-9.fc26.1 synfigstudio-1.2.0-5.fc26 techne-0.2.3-20.fc26 vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26 vips-8.5.8-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 11 Fedora Update System 2017-09-14 20:20:34 EDT
ImageMagick-6.9.9.13-1.fc25 WindowMaker-0.95.7-3.fc25.1 autotrace-0.31.1-49.fc25 converseen-0.9.6.2-3.fc25 drawtiming-0.7.1-22.fc25 emacs-25.3-3.fc25 gtatool-2.2.0-6.fc25 imageinfo-0.05-27.fc25 inkscape-0.92.1-4.20170510bzr15686.fc25.1 k3d-0.8.0.6-8.fc25 kxstitch-1.2.0-9.fc25 perl-Image-SubImageFind-0.03-13.fc25 pfstools-2.0.6-3.fc25 php-pecl-imagick-3.4.3-2.fc25 psiconv-0.9.8-22.fc25 q-7.11-29.fc25 ripright-0.11-5.fc25 rss-glx-0.9.1.p-27.fc25.1 rubygem-rmagick-2.16.0-4.fc25.2 synfig-1.2.0-1.fc25.1 synfigstudio-1.2.0-5.fc25 techne-0.2.3-20.fc25 vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc25 vips-8.4.4-1.fc25.1 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a568adb31
Comment 12 Fedora Update System 2017-09-16 00:21:15 EDT
ImageMagick-6.9.9.13-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.3-3.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.8-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 13 Fedora Update System 2017-09-16 01:25:16 EDT
ImageMagick-6.9.9.13-1.fc25, WindowMaker-0.95.7-3.fc25.1, autotrace-0.31.1-49.fc25, converseen-0.9.6.2-3.fc25, drawtiming-0.7.1-22.fc25, emacs-25.3-3.fc25, gtatool-2.2.0-6.fc25, imageinfo-0.05-27.fc25, inkscape-0.92.1-4.20170510bzr15686.fc25.1, k3d-0.8.0.6-8.fc25, kxstitch-1.2.0-9.fc25, perl-Image-SubImageFind-0.03-13.fc25, pfstools-2.0.6-3.fc25, php-pecl-imagick-3.4.3-2.fc25, psiconv-0.9.8-22.fc25, q-7.11-29.fc25, ripright-0.11-5.fc25, rss-glx-0.9.1.p-27.fc25.1, rubygem-rmagick-2.16.0-4.fc25.2, synfig-1.2.0-1.fc25.1, synfigstudio-1.2.0-5.fc25, techne-0.2.3-20.fc25, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc25, vips-8.4.4-1.fc25.1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a568adb31
Comment 14 Fedora Update System 2017-09-18 23:22:47 EDT
ImageMagick-6.9.9.13-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.3-3.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.8-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-09-18 23:23:12 EDT
ImageMagick-6.9.9.13-1.fc25, WindowMaker-0.95.7-3.fc25.1, autotrace-0.31.1-49.fc25, converseen-0.9.6.2-3.fc25, drawtiming-0.7.1-22.fc25, emacs-25.3-3.fc25, gtatool-2.2.0-6.fc25, imageinfo-0.05-27.fc25, inkscape-0.92.1-4.20170510bzr15686.fc25.1, k3d-0.8.0.6-8.fc25, kxstitch-1.2.0-9.fc25, perl-Image-SubImageFind-0.03-13.fc25, pfstools-2.0.6-3.fc25, php-pecl-imagick-3.4.3-2.fc25, psiconv-0.9.8-22.fc25, q-7.11-29.fc25, ripright-0.11-5.fc25, rss-glx-0.9.1.p-27.fc25.1, rubygem-rmagick-2.16.0-4.fc25.2, synfig-1.2.0-1.fc25.1, synfigstudio-1.2.0-5.fc25, techne-0.2.3-20.fc25, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc25, vips-8.4.4-1.fc25.1 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-09-19 11:22:09 EDT
ImageMagick-6.9.9.13-1.fc25, WindowMaker-0.95.7-3.fc25.1, autotrace-0.31.1-49.fc25, converseen-0.9.6.2-3.fc25, drawtiming-0.7.1-22.fc25, emacs-25.3-3.fc25, gtatool-2.2.0-6.fc25, imageinfo-0.05-27.fc25, inkscape-0.92.1-4.20170510bzr15686.fc25.1, k3d-0.8.0.6-8.fc25, kxstitch-1.2.0-9.fc25, perl-Image-SubImageFind-0.03-13.fc25, pfstools-2.0.6-3.fc25, php-pecl-imagick-3.4.3-2.fc25, psiconv-0.9.8-22.fc25, q-7.11-29.fc25, ripright-0.11-5.fc25, rss-glx-0.9.1.p-27.fc25.1, rubygem-rmagick-2.16.0-4.fc25.2, synfig-1.2.0-1.fc25.1, synfigstudio-1.2.0-5.fc25, techne-0.2.3-20.fc25, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc25, vips-8.4.4-1.fc25.1 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.